From jan@mind.be Fri Jul  1 08:21:29 2005
Date: Fri, 1 Jul 2005 16:20:24 +0200
From: Jan Veldeman <jan@mind.be>
To: greg@kroah.com
Subject: I2C: Documentation fix
Message-ID: <20050701142024.GA7139@fanta>

Fix documentation to match code in include/linux/i2c-dev.h

Signed-off-by: Jan Veldeman <jan@mind.be>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 Documentation/i2c/dev-interface |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

--- gregkh-2.6.orig/Documentation/i2c/dev-interface	2005-06-17 12:48:29.000000000 -0700
+++ gregkh-2.6/Documentation/i2c/dev-interface	2005-07-01 14:44:13.000000000 -0700
@@ -97,10 +97,10 @@
 ioctl(file,I2C_FUNCS,unsigned long *funcs)
   Gets the adapter functionality and puts it in *funcs.
 
-ioctl(file,I2C_RDWR,struct i2c_ioctl_rdwr_data *msgset)
+ioctl(file,I2C_RDWR,struct i2c_rdwr_ioctl_data *msgset)
 
   Do combined read/write transaction without stop in between.
-  The argument is a pointer to a struct i2c_ioctl_rdwr_data {
+  The argument is a pointer to a struct i2c_rdwr_ioctl_data {
 
       struct i2c_msg *msgs;  /* ptr to array of simple messages */
       int nmsgs;             /* number of messages to exchange */
